# This package is sync with FC!!

%global major 0
%define libname %mklibname dwarf %major
%define devname %mklibname -d dwarf

Name:          libdwarf
Epoch:         1
Version:       0.5.0
Release:       %mkrel 1
Summary:       Library to access the DWARF Debugging file format
Group:         Development/C

License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
URL:           https://www.prevanders.net/dwarf.html
Source0:       https://www.prevanders.net/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: make
BuildRequires: python3

%description
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %libname
Summary: Library to access the DWARF Debugging file format
Group: System/Libraries

%description -n %libname
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %devname
Summary:       Library and header files of libdwarf
Group:         Development/C
License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
Requires:      %{libname} = %{epoch}:%{version}-%{release}
Provides:      %{name}-devel = %{epoch}:%{version}-%{release}
Provides:      dwarf-devel = %{epoch}:%{version}-%{release}

%description -n %devname
Development package containing library and header files of libdwarf.

%package static
Summary:       Static libdwarf library
Group:         Development/C
License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
Requires:      %{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libdwarf library.

%package tools
Summary:       Tools for accessing DWARF debugging information
Group:         Development/Tools
License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
Requires:      %{libname} = %{epoch}:%{version}-%{release}

%description tools
C++ version of dwarfdump (dwarfdump2) command-line utilities
to access DWARF debug information.

%prep
%autosetup -p1


%build
%configure --enable-shared
%make_build


%install
%make_install


%check
TZ=:America/Los_Angeles %__make check


%files -n %libname
%doc src/lib/libdwarf/ChangeLog src/lib/libdwarf/README
%license src/lib/libdwarf/COPYING src/lib/libdwarf/LIBDWARFCOPYRIGHT src/lib/libdwarf/LGPL.txt
%{_libdir}/libdwarf.so.%{major}
%{_libdir}/libdwarf.so.%{major}.*


%files static
%{_libdir}/libdwarf.a


%files -n %devname
%doc doc/*.pdf
%{_includedir}/libdwarf-0/
%{_libdir}/libdwarf.so
%{_libdir}/pkgconfig/libdwarf.pc


%files tools
%license src/bin/dwarfdump/COPYING src/bin/dwarfdump/DWARFDUMPCOPYRIGHT src/bin/dwarfdump/GPL.txt
%{_bindir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf
%{_mandir}/man1/dwarfdump.1.*


%changelog
* Fri Nov 25 2022 tv <tv> 1:0.5.0-1.mga9
+ Revision: 1911098
- Update to 0.5.0 upstream release
- Fix license

* Sun Sep 25 2022 tv <tv> 1:0.4.2-1.mga9
+ Revision: 1892205
- 0.4.2

* Wed Jun 29 2022 tv <tv> 1:0.4.1-1.mga9
+ Revision: 1866574
- Update to 0.4.1 upstream release

* Wed Apr 13 2022 tv <tv> 1:0.4.0-1.mga9
+ Revision: 1849281
- Update to 0.4.0 upstream release

* Fri Mar 18 2022 umeabot <umeabot> 1:0.3.4-2.mga9
+ Revision: 1797885
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 tv <tv> 1:0.3.4-1.mga9
+ Revision: 1787101
- Update to 0.3.4 upstream release

* Sun Dec 19 2021 wally <wally> 1:0.3.1-1.mga9
+ Revision: 1762742
- new version 0.3.1

* Wed Nov 24 2021 akien <akien> 1:0.3.0-2.mga9
+ Revision: 1759087
- Fix requires and provides after epoch change

* Wed Nov 24 2021 tv <tv> 1:0.3.0-1.mga9
+ Revision: 1759017
- Major is now 0
- Update to 0.3.0 upstream release

* Thu Jun 03 2021 tv <tv> 20210528-1.mga9
+ Revision: 1729460
- Update to 20210528 upstream release

* Tue Mar 09 2021 tv <tv> 20210305-1.mga9
+ Revision: 1700876
- Update to 20210305 upstream release

* Tue Dec 01 2020 tv <tv> 20201201-1.mga8
+ Revision: 1651320
- Update to 20201201 upstream release

* Thu Oct 22 2020 tv <tv> 20201020-1.mga8
+ Revision: 1638513
- Update to 20201020 upstream release

* Tue Oct 20 2020 tv <tv> 20201017-1.mga8
+ Revision: 1637399
- Update to 20201017 upstream release

* Sun Sep 20 2020 tv <tv> 20200825-1.mga8
+ Revision: 1628905
- 20200825

* Mon Mar 02 2020 tv <tv> 20200114-1.mga8
+ Revision: 1553105
- new version

* Tue Feb 18 2020 umeabot <umeabot> 20191104-2.mga8
+ Revision: 1541398
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 26 2019 daviddavid <daviddavid> 20191104-1.mga8
+ Revision: 1470179
- new version: 20191104, fixes CVE-2019-14249 (mga#25955)

* Sun Sep 23 2018 umeabot <umeabot> 20170709-0.2.mga7
+ Revision: 1298816
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 tv <tv> 20170709-0.1.mga7
+ Revision: 1152421
- "fix" underlinking
- new release

* Wed May 18 2016 tv <tv> 20160507-2.mga6
+ Revision: 1016674
- fix tools requires

* Tue May 17 2016 tv <tv> 20160507-1.mga6
+ Revision: 1016462
- imported package libdwarf

